const replace = require('gulp-replace');
const { src, dest } = require('gulp');
require('dotenv/config');

// or replace multiple strings
function replaceTemplate() {
  src(['./dist/js/**/*.js'])
    .pipe(replace(/TEASENSE_URI/g, process.env.TEASENSE_URI))
    .pipe(replace(/RAINFALL_URI/g, process.env.RAINFALL_URI))
    .pipe(replace(/OPENWEATHER_API_KEY/g, process.env.OPENWEATHER_API_KEY))
    .pipe(replace(/SPLORK_URI/g, process.env.SPLORK_URI))
    .pipe(replace(/RSS_ORIGIN/g, process.env.RSS_ORIGIN))
    .pipe(replace(/RSS_API_HOST/g, process.env.RSS_API_HOST))
    .pipe(replace(/RSS_API_KEY/g, process.env.RSS_API_KEY))
    .pipe(dest('./dist/js'));
  
  return src(['./dist/**/*.html'])
    .pipe(replace(/FONTAWESOME_SCRIPT_URL/g, process.env.FONTAWESOME_SCRIPT_URL))
    .pipe(dest('./dist/'));

};

exports.default = replaceTemplate;