import { LitElement, html } from 'lit';
import { customElement } from 'lit/decorators.js';

@customElement('bible-gateway-ceb')
export class BibleGatewayCEB extends LitElement {
  override render() {
    return html`<iframe framespacing="0" width="100%" height="100%" frameborder="no" src="https://www.biblegateway.com/votd/get/?format=html&version=CEB">View Verse of the Day</iframe>`;
  }
}

declare global {
  interface HTMLElementTagNameMap {
    'bible-gateway-ceb': BibleGatewayCEB;
  }
}